<?php
include_once "KurierNetApi.class.php";

ini_set('soap.wsdl_cache_enabled', '0');
ini_set('always_populate_raw_post_data', '-1');

$WSDL = 'https://www.kuriernet.pl/shipping/?wsdl';  //API WebService
$Login = 'biuro@4kurier.pl';                        //API Example login
$KluczApi = '980b538e-c340-489c-a86e-c1e454b29e5c'; //API Example authorization key

$client = new KurierNetApi2($WSDL);
$client->setAuthorization($Login, $KluczApi);
//$client->setLogFile('log1.txt');



/* --------------------------------------- pobierzGodzinyNadania --------------------------------------- */
$pobierzGodzinyNadania = array(
    'KodPocztowyNadania' => '43-100',
    'MiejscowoscNadania' => 'Tychy',
    'KodPocztowyDostawy' => '41-706',
    'MiejscowoscDostawy' => 'Ruda Slaska',
    'KrajDostawy' => 'PL', //kod kraju
    'Usluga' => 'ups_standard', //jedno z:
                                /*
                                "ups_express_saver"	-UPS Express Saver Krajowy
                                "ups_standard"	    -UPS Standard
                                "inpost_12"	        -InPost Kurier Express do 12:00
                                "inpost_17"	        -InPost Kurier Express do 17:00
                                "inpost_std"        -InPost Kurier Standard
                                "dpd_classic"       -DPD paczki krajowe
                                "dhl_parcel"	    -DHL Paczki
                                "dhl_paleta"	    -DHL Paleta < 400 kg
                                "dpd_international"	-DPD Eksport
                                "inpost_paleta"	    -InPost Kurier Paleta Standard
                                */
    'Waga' => '1.00', //kg (format: '0.00')
    'DataNadania' => date('Y-m-d', strtotime('+1 weekday')),
);
$result = $client->pobierzGodzinyNadania($pobierzGodzinyNadania);
if ($result==false){
    die('Fault:' . $client->getMethodName() . '<p>(' . $client->getFaultCode() . '): <strong>' . $client->getFaultString() . '</strong></p>'.json_encode ($client->getErrorList()));
}
echo('Response: ' . $client->getMethodName() . '<pre>' . print_r($result, true) . '</pre>');



/* --------------------------------------- obliczCenePrzesylki --------------------------------------- */
$obliczCenePrzesylki = array(
    'Usluga' => 'ups_standard',
    'Opakowanie' => 'PACZKA', //jedno z :
                            /*
                            'KOPERTA'
                            'PACZKA'
                            'PALETA'
                             */
    'Paczka' => array(
        'Dlugosc' => '20',   //cm (całkowite)
        'Szerokosc' => '40', //cm (całkowite)
        'Wysokosc' => '60',  //cm (całkowite)
        'Waga' => '5.00',    //kg (format: '0.00')
        'Wartosc' => '25.00',//kg (format: '0.00')
        'Ilosc' => '1',     //(liczba całkowita)
        'Niestandardowa' => 'N',  //tak: 'T', nie: 'N'
        ),
    'Ubezpieczenie' => 'T',  //tak: 'T', nie: 'N'
    'UslugiDodatkowe' => '', //lista oddzielona przecinkami
    'KrajNadania' => 'PL',   //kod kraju
    'KodPocztowyNadania' => '43-100',
    'KrajDostawy' => 'PL',   //kod kraju
    'KodPocztowyDostawy' => '41-706',
);

$result = $client->obliczCenePrzesylki($obliczCenePrzesylki);
if ($result==false){
    die('Fault:' . $client->getMethodName() . '<p>(' . $client->getFaultCode() . '): <strong>' . $client->getFaultString() . '</strong></p>'.json_encode ($client->getErrorList()));
}
echo('Response: ' . $client->getMethodName() . '<pre>' . print_r($result, true) . '</pre>');



/* --------------------------------------- dodajPrzesylki --------------------------------------- */
$dodajPrzesylki = array(
    'Przesylka' => array(
        'Usluga' => 'ups_standard', //jedno z:
                                    /*
                                    "ups_express_saver"	-UPS Express Saver Krajowy
                                    "ups_standard"	    -UPS Standard
                                    "inpost_12"	        -InPost Kurier Express do 12:00
                                    "inpost_17"	        -InPost Kurier Express do 17:00
                                    "inpost_std"        -InPost Kurier Standard
                                    "dpd_classic"       -DPD paczki krajowe
                                    "dhl_parcel"	    -DHL Paczki
                                    "dhl_paleta"	    -DHL Paleta < 400 kg
                                    "dpd_international"	-DPD Eksport
                                    "inpost_paleta"	    -InPost Kurier Paleta Standard
                                    */
        'Nadawca' => array(
            'Nazwa' => 'Jan Kowalski',
            'Kraj' => 'PL', //kod kraju
            'KodPocztowy' => '43-100',
            'Miejscowosc' => 'Tychy',
            'Ulica' => 'Nowa',
            'NrBudynku' => '1',
            'NrLokalu' => '2',
            'Telefon' => '111222333',
            'Email' => 'example@domain.com',
            ),
        'Odbiorca' => array(
            'Nazwa' => 'Adam Nowak',
            'Kraj' => 'PL',//kod kraju
            'KodPocztowy' => '41-706',
            'Miejscowosc' => 'Ruda Slaska',
            'Ulica' => '1-go maja',
            'NrBudynku' => '11',
            'NrLokalu' => '3',
            'Telefon' => '111222333',
            'Email' => '',
            ),
        'Opakowanie' => 'PACZKA', //jedno z :
                                    /*
                                    'KOPERTA'   -- dla koperty
                                    'PACZKA'    -- dla paczki
                                    'PALETA'    -- dla palety
                                     */
        'Paczka' => array(
            'Dlugosc' => '20',    //cm (całkowite)
            'Szerokosc' => '40',  //cm (całkowite)
            'Wysokosc' => '60',   //cm (całkowite)
            'Waga' => '5.00',     //kg (format: '0.00')
            'Wartosc' => '25.00', //kg (format: '0.00')
            'Ilosc' => '1',       //(liczba całkowita)
            'Niestandardowa' => 'N', //tak: 'T', nie: 'N'
            ),
        'UslugiDodatkowe' => '', //lista oddzielona przecinkami
        'Zawartosc' => 'Elektronika', //max. 255 znaków
        'Ubezpieczenie' => 'T',  //tak: 'T', nie: 'N'
        'InformacjeDlaKuriera' => 'Domofon nie działa', //max. 180 znaków
        'DataNadania' => date('Y-m-d', strtotime('+1 weekday')),
        'GodzinaNadaniaOd' => '12:00',
        'GodzinaNadaniaDo' => '16:00',
        'NrReferencyjny' => rand(), //(liczba całkowita) - własny numer unikatowy, pole wymagane
        ),
    );
$result = $client->dodajPrzesylki($dodajPrzesylki);
if ($result==false){
    die('Fault:' . $client->getMethodName() . '<p>(' . $client->getFaultCode() . '): <strong>' . $client->getFaultString() . '</strong></p>'.json_encode ($client->getErrorList()));
}
echo('Response: ' . $client->getMethodName() . '<pre>' . print_r($result->PrzesylkaResponse, true) . '</pre>');
/*
            [NrPrzesylki] => 1ZA8885E6898249989
            [NrNadania] =>
            [NrReferencyjny] => 1934765978
            [Cena] => 35.67

            [NrPrzesylki] => 1ZA8885E6898241192
            [NrNadania] =>
            [NrReferencyjny] => 2059422112
            [Cena] => 35.67
 */


/* --------------------------------------- pobierzEtykiety --------------------------------------- */
$pobierzEtykiety = array('NrPrzesylki' => $result->NrPrzesylki); //$client->getObjResponse()->PrzesylkaResponse->NrPrzesylki);

$result = $client->pobierzEtykiety($pobierzEtykiety);
if ($result==false){
    die('Fault:' . $client->getMethodName() . '<p>(' . $client->getFaultCode() . '): <strong>' . $client->getFaultString() . '</strong></p>'.json_encode ($client->getErrorList()));
}
echo('Response: ' . $client->getMethodName() . '<pre>' . print_r($result, true) . '</pre>');
die('<hr>');
